VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations
VSTGUI::Standalone::Application Namespace Reference

## Classes
struct | ConfigValue
| Configuration Value. More...
class | DelegateAdapter
| Application delegate adapter More...
class | IDelegate
| Application delegate interface. More...
struct | Info
| Application info. More...
struct | Init
| Init application. More...

## Typedefs
using | Configuration = std::vector<std::pair<ConfigKey, ConfigValue>>
| Startup configuration.
using | DelegatePtr = std::unique_ptr<IDelegate>

## Enumerations
enum class | ConfigKey : uint64_t { UseCompressedUIDescriptionFiles , ShowCommandsInContextMenu }
| Configuration keys. More...

## Typedef Documentation

## ◆ DelegatePtr

using DelegatePtr = std::unique_ptr<IDelegate>